import Vue from "vue";
import App from "./App.vue";
import router from "./router";
import store from "./store";
import antd from "ant-design-vue";
import "ant-design-vue/dist/antd.css";
import "../src/style/index.less";
import "../src/style/userinfo.less"; //用户账号设置和个人中心的样式
import "@/permission"; // permission control
import "./svg";
import moment from "moment";
import "moment/locale/zh-cn";
moment.locale("zh-cn"); //设置语言 或 moment.lang('zh-cn');
Vue.prototype.$moment = moment; //挂载到当前vue实例对象

Vue.config.productionTip = false;
Vue.use(antd);
new Vue({
  router,
  store,
  render: (h) => h(App),
}).$mount("#app");
